//go:build linux

package installer

import (
	"gitgud.io/mike/mpv-manager/pkg/platform"
)

// NewInstallationHandler creates a new installation handler for Linux
func NewInstallationHandler(p *platform.Platform, inst *Installer) *InstallationHandler {
	handler := &InstallationHandler{
		Platform:  p,
		Installer: inst,
	}
	handler.PlatformInstaller = NewLinuxInstaller(inst, p)
	return handler
}
